# Interface ISuccessResponse<T>

A generic success response

## Index

### Properties

- data
- duration

## Properties

### data

data: T

Overwrites IResponse.data

- Defined in rest/EndpointCaller.ts :111

Data of the response

### duration

duration: number

- Defined in rest/EndpointCaller.ts :107

The time that the successfull response took to complete

### Type parameters

- #### T

### Hierarchy

- IResponse<T>